<?php

namespace App\Models;

use Illuminate\Database\Eloquent\SoftDeletes;

class Vote extends Model
{

    use SoftDeletes;

    protected $casts = [
        'archives' => 'json',
    ];

    public function items()
    {
        return $this->hasMany(Item::class);
    }

    public function logs()
    {
        return $this->hasMany(ItemLog::class);
    }

}
